This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 60843 - mysqlimport and 'load data infile' commands fail
mysqlimport and 'load data infile' commands fail
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-03-07 15:46 EST by John Cagle
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-26 11:56:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Cagle 2002-03-07 15:46:19 EST
The mysqlimport and 'load data infile' commands don't work.  These worked in
beta1.  The error received is:

 ERROR 1148: The used command is not allowed with this MySQL version

Steps to Reproduce:
[root@pc-00077 dev]# od -c imptest.txt 
0000000   1   0   0  \t   M   a   x       S   y   d   o   w  \n   1   0
0000020   1  \t   C   o   u   n   t       D   r   a   c   u   l   a  \n
0000040
[root@pc-00077 dev]# /sbin/service mysqld restart
Stopping MySQL:                                            [  OK  ]
Starting MySQL:                                            [  OK  ]
[root@pc-00077 dev]# mysql
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 1 to server version: 3.23.49

Type 'help;' or '\h' for help. Type '\c' to clear the buffer.

mysql> use test;
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
mysql> drop table if exists imptest;
Query OK, 0 rows affected (0.00 sec)

mysql> create table imptest(id int(11),n varchar(30));
Query OK, 0 rows affected (0.00 sec)

mysql> show columns from imptest;
+-------+-------------+------+-----+---------+-------+
| Field | Type        | Null | Key | Default | Extra |
+-------+-------------+------+-----+---------+-------+
| id    | int(11)     | YES  |     | NULL    |       |
| n     | varchar(30) | YES  |     | NULL    |       |
+-------+-------------+------+-----+---------+-------+
2 rows in set (0.00 sec)

mysql> load data local infile 'imptest.txt' into table imptest;
ERROR 1148: The used command is not allowed with this MySQL version
mysql> 


Expected Results:

Here's what the output *should* be instead of the ERROR 1148:

Query OK, 2 rows affected (0.05 sec)
Records: 2  Deleted: 0  Skipped: 0  Warnings: 0
Comment 1 Trond Eivind Glomsrxd 2002-04-08 15:54:56 EDT
Not an error: http://www.mysql.com/doc/L/O/LOAD_DATA.html

Note You need to log in before you can comment on or make changes to this bug.